---
title: XRViewport.y
slug: Web/API/XRViewport/y
tags:
  - API
  - AR
  - Horizontal
  - Position
  - Property
  - Read-only
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRViewport
  - augmented
  - origin
  - viewport
  - 'y'
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The read-only {{domxref("XRViewport")}} interface's <code><strong>y</strong></code> property indicates the offset from the bottom edge of the destination surface (typically a {{domxref("XRWebGLLayer")}} to the bottom edge of the viewport within the surface into which WebXR content is to be rendered.</span> The viewport's {{domxref("XRViewport.x", "x")}} property identifies the <code>x</code> component of the origin, and its is given by the {{domxref("XRViewPort.width", "width")}} and {{domxref("XRViewport.height", "height")}} properties.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>y</em> = <em>xrViewport</em>.y;</pre>

<h3 id="Value">Value</h3>

<p>The offset from the bottom edge of the rendering surface to the bottom edge of the viewport, in pixels.</p>

<div class="notecard note">
<p><strong>Note:</strong> Although other web APIs typically consider the <code>y</code> axis to begin at the top and grow larger progressing downward, WebGL reverses this, with <code>y</code> growing larger as it goes upward on the screen.</p>
</div>

<h2 id="Examples">Examples</h2>

<p>See the main {{domxref("XRViewport")}} page for examples.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrviewport-y","XRViewport.y")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRViewport.y")}}</div>
